/* 
   sitecopy, remote web site copy manager.
   Copyright (C) 1998, Joe Orton <joe@weaver.org>
                                                                     
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.
  
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
  
   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

/* FTP Client Headers */

#include <sys/socket.h>
#include <netinet/in.h>
#include <netdb.h>

int ftp_connect( char *, int );
int ftp_close( );

int get_reply_code( char * );

int ftp_put( char *, char * );
int ftp_delete( char * );
int ftp_rmdir( char * );
int ftp_mkdir( char * );
int ftp_chdir( char * );

int ftp_login( char *, char * );
int ftp_exec( char * );
int ftp_read( void );
int ftp_response( char *, int );
int ftp_read_pasv( char * );
int ftp_connect_pasv( void );
int ftp_godir( char * );

void send_line( int, char * );
int read_line( int, char *, int);
int send_file( char * );

/* FTP Status codes - these are the reply code from ftp_ functions */
#define FTP_OK 0
#define FTP_NEEDPASSWORD 1
#define FTP_PASSIVE 2
#define FTP_READY 3
#define FTP_CLOSED 101
#define FTP_FILEBAD 102
#define FTP_DENIED 421
#define FTP_ERROR 999



